    import {RowsCounter} from 'TableFilter/src/modules/rowsCounter.js'

public class | source

# RowsCounter

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Rows counter |

## Member Summary

Public Members
public | fromToTextSeparator : * |
public | onAfterRefreshCounter : * |
public | onBeforeRefreshCounter : * |
public | overText : * |
public | prfxCounter : string |
public | prfxTotRows : string |
public | prfxTotRowsTxt : string |
public | rowsCounterDiv : * |
public | rowsCounterSpan : * |
public | rowsCounterText : * |
public | rowsCounterTgtId : * |
public | tf : * |
public | totRowsCssClass : * |

## Method Summary

Public Methods
public | destroy () |
public | init () |
public | refresh (p: *) |

## Public Constructors

### public constructor(tf: Object) source

Rows counter

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public fromToTextSeparator: * source

### public onAfterRefreshCounter: * source

### public onBeforeRefreshCounter: * source

### public overText: * source

### public prfxCounter: string source

### public prfxTotRows: string source

### public prfxTotRowsTxt: string source

### public rowsCounterDiv: * source

### public rowsCounterSpan: * source

### public rowsCounterText: * source

### public rowsCounterTgtId: * source

### public tf: * source

### public totRowsCssClass: * source

## Public Methods

### public destroy() source

### public init() source

### public refresh(p: *) source

#### Params:

Name | Type | Attribute | Description
p | * |  |